>>>>>>>>>>>>>>>>## # create partitionp = dels['Model-1'].parts['Part-1']
f1, e, d1 = p.faces, p.edges, p.datums
t = p.MakeSketchTransform(sketchPlane=f1[0], sketchPlaneSide=SIDE1, origin=(
0.0, 0.0, 0.0))
s1 = dels['Model-1'].ConstrainedSketch(name='__profile__',
sheetSize=2.82, gridSpacing=0.07, transform=t)spotted
g, v, d, c = s1.geometry, s1.vertices, s1.dimensions, s1.constraints
s1.tPrimaryObject(option=SUPERIMPOSE)
p.projectReferencesOntoSketch(sketch=s1, filter=COPLANAR_EDGES)
s1.Line(point1=(-0.5, 0.0), point2=(0.5, 0.0))
s1.Line(point1=(0.0, 0.5), point2=(0.0, -0.5))
e1, d2 = p.edges, p.datums
p.PartitionFaceBySketch(faces=f, sketch=s1)
s1.untPrimaryObject()
dels['Model-1'].sketches['__profile__']
# mesh control
p.edPart(size=0.05, deviationFactor=0.1, minSizeFactor=0.1)
p.tMeshControls(regions=p.faces, elemShape=TRI, technique=STRUCTURED) p.generateMesh()
# it is important
a = dels['Model-1'].rootAsmbly
Nodet = dels[NameModel].rootAsmbly.instances[Nameinst].nodes j = 0
x = []
y = []
for i in Nodet:
x.inrt(j, i.coordinates[0])
y.inrt(j, i.coordinates[1])
j = j + 1